READSB(1)

NAME
readsb - manual page for readsb version: 3.16 compiled on 250902

SYNOPSIS
viewadsb [OPTIONS...]

DESCRIPTION
vieadsb Mode-S/ADSB/TIS commandline viewer

By default, viewadsb will TCP connect to 127.0.0.1:30005 as a data source. Typical readsb / dump1090 installs will provide beast data on port 30005.

  General options:

--lat=<lat>
    Reference/receiver surface latitude

--lon=<lon>
    Reference/receiver surface longitude

--no-interactive
    Disable interactive mode, print to stdout

--interactive-ttl=<sec>
    Remove from list if idle for <sec> (default: 60)

--modeac
    Enable decoding of SSR Modes 3/A & 3/C

--max-range=<dist>
    Absolute maximum range for position decoding (in nm, default: 300)

--fix
    Enable CRC single-bit error correction (default)

--no-fix
    Disable CRC single-bit error correction

--metric
    Use metric units

--show-only=<addr>
    Show only messages by given ICAO on stdout

--filter-DF=<type>
    Only network forward and display decoded ModeS messages on stdout only show this DF type

--receiver-focus=<receiverId>
    only process messages from receiverId

--cpr-focus=<hex>
    show CPR details for this hex

--quiet
    Disable output (default)

--debug=<flags>
    Debug mode (verbose), n: network, P: CPR, S: speed check

  Network options:

--net-connector=<ip,port,protocol>
    Establish connection, can be specified multiple times (viewadsb default: --net-connector 127.0.0.1,30005,beast_in viewadsb first usage overrides default, second usage adds another input/output) Protocols: beast_out, beast_reduce_out, beast_reduce_plus_out, beast_in, raw_out, raw_in, sbs_in, sbs_in_jaero, sbs_out, sbs_out_jaero, vrs_out, json_out, gpsd_in, uat_in, uat_replay_out, planefinder_in, asterix_in, asterix_out (one failover ip/address,port can be specified: primary-address,primary-port,protocol,failover-address,failover-port) (any position in the comma separated list can also be either silent_fail or uuid=<uuid>)

  Help options:

--help
    Give this help list

--usage
    Give a short usage message

Credits: antirez (original dump1090) Malcom Robb (work on his dump1090 fork) mutability (forked to dump1090-mutability and further to dump1090-fa) Mictronics (readsb as a fork of dump1090-fa) wiedehopf (this fork of Mictronics readsb)

REPORTING BUGS
Report bugs to Matthias Wirth <matthias.wirth@gmail.com>